# shot

## dependencies

shot needs `imagemagick` for taking screenshot,
[pb][0] for uploading to 0x0,
and `xclip` for copying links.

## installation

```bash
make install
# use sudo if it's needed
```

## usage

directory defaults to `~/files/shot`, can be changed in source..

### `-w` flag

screenshot the whole desktop

### `-u` flag

upload to 0x0 endpoint **NOT WORKING**

## example

```bash
shot
```

prompts user to select window/region and saves screenshot to default directory with current time and date as name


```bash
shot -w
```

saves screenshot of whole screen to default directory with current time and date as name




```bash
shot -w name
```

saves screenshot of whole screen to default directory with "name" as name


[0]: https://git.tildeverse.org/tomasino/pb